precision mediump float;
varying vec2 v_texCoord;
varying vec2 v_maskCoord;
uniform sampler2D sTexture0;
uniform sampler2D sTexture1;
uniform float lerp;
void main() {
vec4 texColorA =  texture2D(sTexture0, v_texCoord);
vec4 texColorB =  texture2D(sTexture1, v_maskCoord);

if(v_maskCoord.x < 0. || v_maskCoord.x >1. || v_maskCoord.y < 0. || v_maskCoord.y >1.){
     texColorB *= 0.0;
}
texColorA = texColorA * texColorB.a;

vec4 mixColor = mix(texColorA , texColorB , lerp);

gl_FragColor = mixColor ;

}