//#extension GL_OES_standard_derivatives : enable

precision mediump float;
varying vec2 v_texCoord;

varying highp vec2 v_dotTexCoord;
// varying vec3 v_baryCoord;
// varying vec4 v_color;
varying float v_brightness;

uniform sampler2D texture0;
uniform sampler2D texture1;

//const int MAX_NUM_OF_TAPS = 10;
//uniform vec3 u_tapPosArr[MAX_NUM_OF_TAPS];
const float f_thickness = 0.0005;

const vec4 color2 = vec4(0., 254./255., 227./255., 1.);

varying float v_dotCol;

void main()
{
    
//    float f_closest_edge = min(v_baryCoord.x,
//                               min(v_baryCoord.y, v_baryCoord.z)); // see to which edge this pixel is the closest
//    float f_width = fwidth(f_closest_edge); // calculate derivative (divide f_thickness by this to have the line width constant in screen-space)
//    float f_alpha = smoothstep(f_thickness, f_thickness + f_width, f_closest_edge); // calculate alpha
//    
//    gl_FragColor = vec4(v_baryCoord, 1.) * (1. - f_alpha);
    
    
    float gridCol = texture2D(texture0, v_texCoord).r;
    
    // float dCol = smoothstep(0.92, 0.97, max(max(v_baryCoord.x, v_baryCoord.y), v_baryCoord.z)) * (1. - (v_color.b * 3.));
    float dCol = texture2D(texture0, v_texCoord).b * (1. - (v_brightness * 3.));

    float dct = texture2D(texture1, v_dotTexCoord).r;
    // dct = dct * dct;
    dCol = max(dCol, 0.) * v_dotCol * dct * 5.;

    // float dCol = 0.;
    
    gl_FragColor = ((gridCol + dCol) * (v_brightness + dCol * 0.5)) * color2;
    // gl_FragColor = texture2D(texture1, v_dotTexCoord) * vec4(1., 0., 0., 1.);
}
