//#extension GL_OES_standard_derivatives : enable

precision mediump float;
varying vec2 v_texCoord;
//varying vec3 v_baryCoord;
varying vec4 v_color;

varying vec2 v_tcLeftBall;
varying vec2 v_tcRightBall;

uniform sampler2D u_texture0;

// varying vec2 v_position;

uniform vec2 u_resolution;

//const int MAX_NUM_OF_TAPS = 10;
//uniform vec3 u_tapPosArr[MAX_NUM_OF_TAPS];
const float f_thickness = 0.0005;

vec4 col1 = vec4(255./255., 227./255., 241./255., 1.);
vec4 col2 = vec4(214./255., 245./255., 254./255., 1.);

void main()
{
    
    //    float f_closest_edge = min(v_baryCoord.x,
    //                               min(v_baryCoord.y, v_baryCoord.z)); // see to which edge this pixel is the closest
    //    float f_width = fwidth(f_closest_edge); // calculate derivative (divide f_thickness by this to have the line width constant in screen-space)
    //    float f_alpha = smoothstep(f_thickness, f_thickness + f_width, f_closest_edge); // calculate alpha
    //
    //
    //    gl_FragColor = vec4(v_baryCoord, 1.) * (1. - f_alpha);
    
    
//    float gridCol = texture2D(u_texture0, v_texCoord).r;
    
//    vec4 col = v_color;
    
    
    
    vec4 lc, rc;
    lc = texture2D(u_texture0, v_tcLeftBall).g * col1;
    rc = texture2D(u_texture0, v_tcRightBall).g * col2;
    
    vec4 col = v_color;
//    vec4 col = vec4(0.);
    
    col = mix(mix(col, col2, lc), col1, rc);
    
    vec4 fc = mix(col, vec4(1.), texture2D(u_texture0, vec2(v_texCoord.x, 1. - v_texCoord.y)).r);
    
    
    // float dist = distance(v_position, u_resolution * 0.01);
    // float dist = distance(abs(v_position), u_resolution * vec2(0.5, 0.6));




    
//    vec4 testCol = vec4(0.);
//    
//    testCol += vec4(texture2D(u_texture0, vec2(v_texCoord.x, 1. - v_texCoord.y)).r, 0., 0., 0.);
//    
//    testCol += texture2D(u_texture0, v_tcLeftBall).g;
//    testCol += texture2D(u_texture0, v_tcRightBall).g;
//    
//    vec4 fc = vec4(vec3(testCol), 1.);
    
    
    gl_FragColor = fc;


    // gl_FragColor = vec4(dist * 0.001, 0., 0., 1.);

    // gl_FragColor = vec4(1., 0., 0., 1.);

    // if(u_resolution.y > 600.)
    // {
    //     gl_FragColor = vec4(0., 1., 0., 1.);
    // }
//    gl_FragColor = v_color;
}
